Get Sources
curl --request POST \
--url https://app.mentionpilot.ai/api/v1/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_id": 1,
"date": {
"from": "2026-01-01",
"to": "2026-05-07"
},
"limit": 50,
"ai_agent": [
"chatgpt",
"gemini"
]
}
'import requests
url = "https://app.mentionpilot.ai/api/v1/sources"
payload = {
"brand_id": 1,
"date": {
"from": "2026-01-01",
"to": "2026-05-07"
},
"limit": 50,
"ai_agent": ["chatgpt", "gemini"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_id: 1,
date: {from: '2026-01-01', to: '2026-05-07'},
limit: 50,
ai_agent: ['chatgpt', 'gemini']
})
};
fetch('https://app.mentionpilot.ai/api/v1/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"sources": [
{
"id": 101,
"domain": "techcrunch.com",
"type": "citation",
"ai_tool": "chatgpt",
"created_at": "2026-03-15T09:00:00.000000+00:00"
}
]
}{
"success": false,
"error": "brand_id is required"
}{
"success": false,
"error": "An error occurred"
}{
"success": false,
"error": "Access denied"
}{
"success": false,
"error": "Brand not found"
}Sources
Get Sources
Returns sources for a specific brand. Supports optional date range filtering and result limiting.
POST
/
sources
Get Sources
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Filter parameters
ID of the brand to fetch sources for
Example:
1
Optional date range filter. Omit to return all sources.
Show child attributes
Show child attributes
Maximum number of sources to return. Omit to return all.
Example:
50
Filter by AI agent(s). Omit to return sources from all agents.
Example:
["chatgpt", "gemini"]
⌘I